/*
 *  TOPPERS Software
 *      Toyohashi Open Platform for Embedded Real-Time Systems
 *
 *  Copyright (C) 2014-2015 by Center for Embedded Computing Systems
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *
 *  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
 *  Ai{\tgEFAς̂܂ށDȉjgpEE
 *  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
 *  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
 *      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
 *      XR[hɊ܂܂Ă邱ƁD
 *  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
 *      pł`ōĔzzꍇɂ́CĔzzɔhLgip
 *      ҃}jAȂǁjɁCL̒쌠\C̗pщL
 *      ̖ۏ؋Kfڂ邱ƁD
 *  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
 *      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
 *      ƁD
 *    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
 *        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
 *    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
 *        񍐂邱ƁD
 *  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
 *      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
 *      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
 *      RɊÂCL쌠҂TOPPERSvWFNg
 *      Ɛӂ邱ƁD
 *
 *  {\tgEFÁCAUTOSARiAUTomotive Open System ARchitecturejd
 *  lɊÂĂDL̋́CAUTOSAR̒mIŶ
 *  ͂ȂDAUTOSAŔCAUTOSARdlɊÂ\tgEFApړIŗ
 *  p҂ɑ΂āCAUTOSARp[gi[ɂȂ邱Ƃ߂ĂD
 *  
 *  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
 *  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
 *  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
 *  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
 *  ̐ӔC𕉂ȂD
 *
 *  $Id: rlin3x.h 20 2015-04-20 14:29:19Z honda $
 */
/*
 *		ʐMW[pUART(RLIN)hCo̊O錾
 */
#ifndef _RLIN3X_H_
#define _RLIN3X_H_

#include "rh850_f1l.h"

/*
 *  RLIN32ΏۂƂ
 */
#define INTNO_RLIN3x_TX   157
#define INTNO_RLIN3x_RX   158

#define INTPRI_RLIN3x_TX  4
#define INTPRI_RLIN3x_RX  4

extern void rlin3x_init(void);
extern int rlin3x_get_rxcnt(void);
extern boolean rlin3x_receive(unsigned char *data, int len);
extern boolean rlin3x_send(const unsigned char *data, int len);
extern void WaitRLIN3xEvent(void);
extern void rlin3x_tx_interrupt(void);
extern void rlin3x_rx_interrupt(void);

#endif  /* _RLIN3X_H_ */
