#!python
# -*- coding: euc-jp -*-
#
#  TOPPERS ATK2
#      Toyohashi Open Platform for Embedded Real-Time Systems
#      Automotive Kernel Version 2
#
#  Copyright (C) 2013-2014 by Center for Embedded Computing Systems
#              Graduate School of Information Science, Nagoya Univ., JAPAN
#  Copyright (C) 2013-2015 by FUJI SOFT INCORPORATED, JAPAN
#  Copyright (C) 2013-2014 by Panasonic Advanced Technology Development Co., Ltd., JAPAN
#  Copyright (C) 2013-2014 by Renesas Electronics Corporation, JAPAN
#  Copyright (C) 2013-2014 by Sunny Giken Inc., JAPAN
#  Copyright (C) 2013-2014 by TOSHIBA CORPORATION, JAPAN
#  Copyright (C) 2013-2014 by Witz Corporation, JAPAN
#
#  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
#  ܥեȥѤΤޤࡥʲƱˤѡʣ
#  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
#  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
#      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
#      ˴ޤޤƤ뤳ȡ
#  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
#      ѤǤǺۤˤϡۤȼɥȡ
#      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
#      ̵ݾڵǺܤ뤳ȡ
#  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
#      ѤǤʤǺۤˤϡΤ줫ξ
#      ȡ
#    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
#        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
#    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
#        𤹤뤳ȡ
#  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
#      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
#      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
#      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
#      դ뤳ȡ
#
#  ܥեȥϡAUTOSARAUTomotive Open System ARchitecture˻
#  ͤ˴ŤƤ롥嵭εϡAUTOSARŪ⻺Τ
#  ϤʤAUTOSARϡAUTOSARͤ˴ŤեȥŪ
#  ѤԤФơAUTOSARѡȥʡˤʤ뤳ȤƤ롥
#
#  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
#  TOPPERSץȤϡܥեȥ˴ؤơλŪ
#  ФŬޤơʤݾڤԤʤޤܥեȥ
#  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
#  Ǥʤ
#
# $Id: def.py 579 2015-01-23 01:33:40Z shigihara $
#

# Root Dir
ROOTDIR = "../../.."

# Source Dir
SRCDIR = ROOTDIR + "/atk2-sc1/"

# Configfile name
CFGNAME = ['Ecuc_C', 'target_hw_counter']

# Target board
TARGET = "hsbrh850f1l_ccrh"

# Target mcu
TARGET_MCU = 'R7F701025xAFP'

# Application files
app_app_files = ['../../common/swcs/CddRcCar.c',
                 '../../common/swcs/DriveManager.c',
                 '../../common/swcs/CddLedBlinker.c',
                 '../../common/swcs/Os_Hook.c',
                 '../../EcuM/C_Init_Code.c',
                 '../../EcuM/EcuM.c',
                 '../../EcuM/EcuM_StartupTask.c',
                 ROOTDIR+'/a-comstack/com/Com.c',
                 ROOTDIR+'/a-comstack/canif/CanIf.c',
                 ROOTDIR+'/a-comstack/can/Can.c',
                 ROOTDIR+'/a-comstack/can/target/hsbrh850f1l_ccrh/Can_Irq.c',
                 ROOTDIR+'/a-comstack/can/arch/rs_can/Can_Prc.c',
                 'Rte.c',
                 ROOTDIR+'/driver/hsbrh850f1l_device.c',
                 ROOTDIR+'/driver/driver_if.c',
                 ROOTDIR+'/driver/rlin3x.c',
                 ROOTDIR+'/driver/taub_pwm.c',
                 'Com_PBcfg.c',
                 'CanIf_PBcfg.c',
                 'CanIf_Lcfg.c',
                 'Can_PBcfg.c']

# Addition Dir list (relative path from srcdir)
USER_INCLUDE = ['../swc-application/EcuM',
                '../swc-application/common/swcs',
                '../a-comstack/stub',
                '../a-comstack/general',
                '../a-comstack/com',
                '../a-comstack/pdur',
                '../a-comstack/canif',
                '../a-comstack/can',
                '../a-comstack/can/arch/rs_can',
                '../a-comstack/can/arch/ccrh',
                '../a-comstack/can/target/hsbrh850f1l_ccrh',
                '../driver/'
                ]

# Addition Macro Definitions
USER_MACRO = ['TOPPERS_WITH_DISP', 'TOPPERS_USE_CONTROL']

# Copy sample1
COPY_SAMPLE1 = False
